Update a product

View as Markdown

Authentication

Authorizationstring
API Key authentication via header

Path parameters

idstringRequired
Product ID

Request

This endpoint expects an object.
namestringOptional
Internal catalog name of the product
displayNamestringOptional

Customer-facing display name of the product

statusenumOptional

Product status (active or inactive)

descriptionstringOptional
Product description
integrationItemIdstringOptional
ERP integration item ID
erpClassIdstringOptional
ERP class ID

Response

Product updated successfully
payloadobject
Response payload, will be empty when success is false
successboolean

Boolean with true=success, false=failure

messagestring

Plain-text description of the result

errorobject
json element with any error messages or warnings

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error